{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('css/show-details.css') }}">
{% endblock %}

{% block title %}Sortie{% endblock %}

{% block body %}
    <h1>Sortie</h1>

    <div class="container">
        <form>
            <div id="sortie">
                <div>
                    <label for="sortie_id">Id</label>
                    <input id="sortie_id" type="number" value="{{ sortie.id }}" disabled>
                </div>
                <div>
                    <label for="sortie_nom">Nom</label>
                    <input id="sortie_nom" type="text" value="{{ sortie.nom }}" disabled>
                </div>
                <div>
                    <label for="sortie_date">Date de début</label>
                    <input id="sortie_date" type="datetime-local" value="{{ sortie.dateDebut ? sortie.dateDebut|date('Y-m-d H:i:s') : '' }}" disabled>
                </div>
                <div>
                    <label for="sortie_duree">Durée</label>
                    <input id="sortie_duree" type="number" value="{{ sortie.duree }}" disabled>
                </div>
                <div>
                    <label for="sortie_limite">Date limite</label>
                    <input id="sortie_limite" type="datetime-local" value="{{ sortie.dateLimiteInscription ? sortie.dateLimiteInscription|date('Y-m-d H:i:s') : '' }}" disabled>
                </div>
                <div>
                    <label for="sortie_nb_inscrits">Nombre de places</label>
                    <input id="sortie_nb_inscrits" type="number" value="{{ sortie.nbInscriptionsMax }}" disabled>
                </div>
                <div>
                    <label for="sortie_infos">Infos</label>
                    <textarea id="sortie_infos" disabled>{{ sortie.infosSortie }}</textarea>
                </div>
            </div>
            <h4>Participants</h4>
            <div class="participants">
                <table>
                    <tbody>
                    {% for inscrit in sortie.inscrits %}
                        <tr>
                            <td><a href="{{ path('app_user_show', {'id': inscrit.id}) }}">{{ inscrit.pseudo }}</a></td>
                        </tr>
                    {% else %}
                        <tr>
                            <td colspan="7">Personne n'est inscrit à cette sortie pour l'instant.</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </form>
    </div>


{% endblock %}
